#! /bin/bash
 
#########################################################
# DS4CloneRestore installer
# Installazione di DS4CloneRestore e dei relativi script
#########################################################

DESTDIR=/usr/sbin
USER=ds4user

echo
echo -------------------------
echo DS4CloneRestore installer
echo -------------------------
echo

if [ $USER != root ]; then
  echo 
  echo "ERROR: Only root can install!"
  echo 
  exit 1
fi

echo
echo Copy files in DESTDIR ...

# Copio l'eseguibile
cp ds4clonerestore DESTDIR

# Copio gli script
cp -a scripts/* DESTDIR

# Copio l'icona
cp misc/ds4.xpm /usr/share/pixmaps/

# Creo il collegamento sul desktop con l'icona DS4
echo Create desktop link for user USER ...

cp misc/Restore.desktop /home/USER/Desktop/

echo
echo Installation finished !
echo
